Actualizar perfil de usuario
curl --request PATCH \
--url https://api.vertracloud.app/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "<string>",
"workspace_invites_enabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', language: '<string>', workspace_invites_enabled: true})
};
fetch('https://api.vertracloud.app/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vertracloud.app/v1/users/me"
payload = {
"name": "<string>",
"language": "<string>",
"workspace_invites_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/users/me"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"workspace_invites_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {},
"code": "<string>"
}Usuarios
Actualizar perfil de usuario
Actualiza el nombre, el idioma y las preferencias de invitaciones a workspaces del usuario autenticado. Requiere el scope account:write.
PATCH
/
v1
/
users
/
me
Actualizar perfil de usuario
curl --request PATCH \
--url https://api.vertracloud.app/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "<string>",
"workspace_invites_enabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', language: '<string>', workspace_invites_enabled: true})
};
fetch('https://api.vertracloud.app/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vertracloud.app/v1/users/me"
payload = {
"name": "<string>",
"language": "<string>",
"workspace_invites_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/users/me"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"workspace_invites_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {},
"code": "<string>"
}Envía al menos un campo. Una clave de API necesita el scope
account:write.
string
El nombre visible.
string
El idioma de la interfaz:
pt-br, en-us o es-es. Cualquier otro valor devuelve 400 INVALID_PAYLOAD.boolean
Si otras personas pueden invitarte a sus workspaces.
Respuesta
object
El perfil actualizado:
id, name, email, language, workspace_invites_enabled,
created_at y updated_at.Respuestas de error
string
INVALID_PAYLOAD: No se envió ningún campo, o un campo tiene el tipo incorrecto (400).
Última modificación el 28 de octubre de 2026